ExtensionMethodCache (Groovy 4.0.15)
Description: declaration: package: org.codehaus.groovy.transform.stc, class: ExtensionMethodCache

Package org.codehaus.groovy.transform.stc

# Class ExtensionMethodCache

java.lang.Object
org.codehaus.groovy.transform.stc.AbstractExtensionMethodCache
org.codehaus.groovy.transform.stc.ExtensionMethodCache

public class ExtensionMethodCache extends AbstractExtensionMethodCache
This class is used to make extension methods lookup faster. Basically, it will only collect the list of extension methods (see `ExtensionModule`) if the list of extension modules has changed. It avoids recomputing the whole list each time we perform a method lookup.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ExtensionMethodCache`
  `INSTANCE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addAdditionalClassesToScan(Set<Class> instanceExtClasses, Set<Class> staticExtClasses)`
  `protected String`
  `getDisablePropertyName()`
  `protected Predicate<MethodNode>`
  `getMethodFilter()`
  `protected Function<MethodNode,String>`
  `getMethodMapper()`

  ### Methods inherited from class org.codehaus.groovy.transform.stc.AbstractExtensionMethodCache

  `get`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INSTANCE

    public static final ExtensionMethodCache INSTANCE

- ## Method Details

  - ### addAdditionalClassesToScan

    protected void addAdditionalClassesToScan(Set<Class> instanceExtClasses, Set<Class> staticExtClasses)
    Specified by:
      `addAdditionalClassesToScan` in class `AbstractExtensionMethodCache`

  - ### getDisablePropertyName

    protected String getDisablePropertyName()
    Specified by:
      `getDisablePropertyName` in class `AbstractExtensionMethodCache`

  - ### getMethodFilter

    protected Predicate<MethodNode> getMethodFilter()
    Specified by:
      `getMethodFilter` in class `AbstractExtensionMethodCache`

  - ### getMethodMapper

    protected Function<MethodNode,String> getMethodMapper()
    Specified by:
      `getMethodMapper` in class `AbstractExtensionMethodCache`